;;
;;  Program to build band deltas
;;
;;  To be run as follows, from thr scheme root directory:
;;
;;  scheme -no-init-file -compiler -heap 3000 -load <this file> -eval XXXX
;;
;;  where XXXX is (pack.eddel)   to build eddel.com
;;                (pack.compdel) to build compdel.com
;;                (pack.6001del) to build 6001del.com
;;

(define (with-error-report thunk)
  (bind-condition-handler (list condition-type:error)
      (lambda (condition)
	(display "\n\n\n\nBuild failed:  ")
	(display condition)
	(display "\n\n")
	(write-condition-report condition (current-output-port))
	(display "\n\nType (%exit 1) to quit Scheme.\n"))
    thunk))


(define (pack.6001del)
  (with-error-report
      (lambda ()
	(load "etc/pack" '(runtime load))
	(load "etc/pack6001")
	(pack-6001 "lib/6001del.com")))
  (%exit))

(define (pack.eddel)
  (with-error-report
      (lambda ()
	(load "etc/pack" '(runtime load))
	(load "etc/packew32")
	(pack-edwin "lib/eddel.com")))
  (%exit))


(define (pack.compdel)
  (with-error-report
      (lambda ()
	(load "etc/pack" '(runtime load))
	(load "etc/pack-ccs")
	(pack-cref&sf&compiler "lib/compdel.com")))
  (%exit))

(define (pack.compdel)
  (with-error-report
      (lambda ()
	(load "etc/pack" '(runtime load))
	(load "etc/packc386")
	(pack-compiler "lib/compdel.com")))
  (%exit))
