;;
;;  To be loaded just after fasl-ing 6001 runtime
;;
;;  Runs in scheme/rt-check directory

(let ()

  (define (with-error-report thunk)
    (bind-condition-handler (list condition-type:error)
	(lambda (condition)
	  (display "\n\n\n\nBuild failed:\n\n")
	  (write-condition-report condition (current-output-port))
	  (display "\n\nType (%exit 1) to quit Scheme.\n"))
      thunk))

  (define (load-edwin)
    (with-working-directory-pathname "../ed-check" (lambda () (load "make")))
    (display "\n\nDumping doc strings...\n\n")
    ((access dump-doc-strings (->environment '(edwin)))
     "../lib/edwin/etc/eddocstr.dat"
     "eddocstr.dat"))

  (with-error-report
      (lambda ()
	(with-working-directory-pathname "../win32"
	  (lambda () (load "make")))
	(fluid-let ((flush-purification-queue! (lambda () 42)))
	  (load-edwin)
	  (with-working-directory-pathname "../6001"
	    (lambda () (load "make")))
	  (flush-purification-queue!))
	(display "\n\ndisk-save of ../lib/6001.com...")
	(disk-save "../lib/6001.com")
	(%exit))))


